Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.LRGraphicsObjectElement Class Reference
Inheritance diagram for FoxitPDFSDKPython3.LRGraphicsObjectElement:

## Public Member Functions
def | LRGraphicsObjectElement ()
| Constructor.
def | LRGraphicsObjectElement (element)
| Constructor, with parent class object. More...
def | LRGraphicsObjectElement (other)
| Constructor, with another graphics object element object. More...
def | GetBBox ()
| Get bounding box. More...
def | GetDict ()
| Get PDF dictionary of related graphics object. More...
def | GetGraphicsObject ()
| Get related graphics object. More...
def | GetGraphicsObjectIndex ()
| Get index of related graphics object. More...
def | GetMatrix ()
| Get matrix. More...
def | GetParentGraphicsObjectElement ()
| Get the parent graphics object element. More...
Public Member Functions inherited from FoxitPDFSDKPython3.LRElement
def | LRElement ()
| Constructor.
def | LRElement (other)
| Constructor, with another base element object. More...
def | GetElementType ()
| Get element type. More...
def | IsContentElement ()
| Check whether current object is content element or not. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | IsGraphicsObjectElement ()
| Check whether current object is graphics object element or not. More...
def | IsStructureElement ()
| Check whether current object is structure element or not. More...
def | StringifyType ()
| Convert type (enum value) of current element to a short and memorable string (text) representation. More...

## Additional Inherited Members
Static Public Member Functions inherited from FoxitPDFSDKPython3.LRElement
def | StringifyElementType (type)
| Convert enum value of a specified element type to a short and memorable string (text) representation. More...
Static Public Attributes inherited from FoxitPDFSDKPython3.LRElement
| e_ElementTypeAnnot = _fsdk.LRElement_e_ElementTypeAnnot
| Structure element type: Annot, which means "Annotation" and represents an association between a portion of the ILSE's content and a corresponding PDF annotation.
| e_ElementTypeAnnotContent = _fsdk.LRElement_e_ElementTypeAnnotContent
| Structure element type: AnnotContent, which means annotation content element.
| e_ElementTypeAnnotObject = _fsdk.LRElement_e_ElementTypeAnnotObject
| Structure element type: AnnotObject, which means annotation object element.
| e_ElementTypeArt = _fsdk.LRElement_e_ElementTypeArt
| Structure element type: Art, which means "Article" and represents a relatively self-contained body of text constituting a single narrative or exposition.
| e_ElementTypeArtifact = _fsdk.LRElement_e_ElementTypeArtifact
| Structure element type: Artifact, which includes other Pagination, Layout, Page and Background artifacts.
| e_ElementTypeAside = _fsdk.LRElement_e_ElementTypeAside
| Structure element type: Aside (PDF 2.0), which represents content that is distinct from other content within its parent structure element.
| e_ElementTypeBibEntry = _fsdk.LRElement_e_ElementTypeBibEntry
| Structure element type: BibEntry, which means "Bibliography entry" and represents a reference identifying the external source of some cited content.
| e_ElementTypeBlockQuote = _fsdk.LRElement_e_ElementTypeBlockQuote
| Structure element type: BlockQuote, which means "Block quotation" and represents a portion of text consisting of one or more paragraphs attributed to someone other than the author of the surrounding text.
| e_ElementTypeCaption = _fsdk.LRElement_e_ElementTypeCaption
| Structure element type: Caption, which represents a brief portion of text describing a table or figure.
| e_ElementTypeCode = _fsdk.LRElement_e_ElementTypeCode
| Structure element type: Code, which represents a fragment of computer program text.
| e_ElementTypeComplexContent = _fsdk.LRElement_e_ElementTypeComplexContent
| Structure element type: ComplexContent, which means complex content element.
| e_ElementTypeContainerObject = _fsdk.LRElement_e_ElementTypeContainerObject
| Structure element type: ContainerObject, which means container object element.
| e_ElementTypeDiv = _fsdk.LRElement_e_ElementTypeDiv
| Structure element type: Div, which means "Division" and represents a generic block-level element or group of elements.
| e_ElementTypeDocument = _fsdk.LRElement_e_ElementTypeDocument
| Structure element type: Document, which represents a complete document.
| e_ElementTypeDocumentFragment = _fsdk.LRElement_e_ElementTypeDocumentFragment
| Structure element type: DocumentFragment (PDF 2.0), which represents a part of an original complete document.
| e_ElementTypeEm = _fsdk.LRElement_e_ElementTypeEm
| Structure element type: Em (PDF 2.0), which means "Emphasis" and represents content for the purpose of emphasis.
| e_ElementTypeFENote = _fsdk.LRElement_e_ElementTypeFENote
| Structure element type: FENote (PDF 2.0), which is used to markup footnotes and endnotes.
| e_ElementTypeFigure = _fsdk.LRElement_e_ElementTypeFigure
| Structure element type: Figure, which represents an item of graphical content.
| e_ElementTypeForm = _fsdk.LRElement_e_ElementTypeForm
| Structure element type: Form, which represents a widget annotation representing an interactive form field.
| e_ElementTypeFormObject = _fsdk.LRElement_e_ElementTypeFormObject
| Structure element type: FormObject, which means form XObject graphics object element.
| e_ElementTypeFormula = _fsdk.LRElement_e_ElementTypeFormula
| Structure element type: Formula, which represents a mathematical formula.
| e_ElementTypeHeading = _fsdk.LRElement_e_ElementTypeHeading
| Structure element type: H, which means "Heading" and represents a label for a subdivision of a document's content. It should be the first child of the division that it heads.
| e_ElementTypeHeading1 = _fsdk.LRElement_e_ElementTypeHeading1
| Structure element type: H1, which represents heading with level 1.
| e_ElementTypeHeading2 = _fsdk.LRElement_e_ElementTypeHeading2
| Structure element type: H2, which represents heading with level 2.
| e_ElementTypeHeading3 = _fsdk.LRElement_e_ElementTypeHeading3
| Structure element type: H3, which represents heading with level 3.
| e_ElementTypeHeading4 = _fsdk.LRElement_e_ElementTypeHeading4
| Structure element type: H4, which represents heading with level 4.
| e_ElementTypeHeading5 = _fsdk.LRElement_e_ElementTypeHeading5
| Structure element type: H5, which represents heading with level 5.
| e_ElementTypeHeading6 = _fsdk.LRElement_e_ElementTypeHeading6
| Structure element type: H6, which represents heading with level 6.
| e_ElementTypeHeadingN = _fsdk.LRElement_e_ElementTypeHeadingN
| Structure element type: Hn (PDF 2.0), which represents heading with level 7 or more.
| e_ElementTypeImageContent = _fsdk.LRElement_e_ElementTypeImageContent
| Structure element type: ImageContent, which means image content element.
| e_ElementTypeImageObject = _fsdk.LRElement_e_ElementTypeImageObject
| Structure element type: ImageObject, which means image graphics object element.
| e_ElementTypeIndex = _fsdk.LRElement_e_ElementTypeIndex
| Structure element type: Index, which represents a sequence of entries containing identifying text accompanied by reference elements that point out occurrences of the specified text in the main body of a document.
| e_ElementTypeLink = _fsdk.LRElement_e_ElementTypeLink
| Structure element type: Link, which represents an association between a portion of the ILSE's content and a corresponding link annotation or annotations.
| e_ElementTypeList = _fsdk.LRElement_e_ElementTypeList
| Structure element type: L, which means "List" and represents a sequence of items of like meaning and importance.
| e_ElementTypeListBody = _fsdk.LRElement_e_ElementTypeListBody
| Structure element type: LBody, which means "List body" and reprsents the descriptive content of a list item.
| e_ElementTypeListItem = _fsdk.LRElement_e_ElementTypeListItem
| Structure element type: LI, which means "List item" and represents an individual member of a list.
| e_ElementTypeListLabel = _fsdk.LRElement_e_ElementTypeListLabel
| Structure element type: Lbl, which means "Label" and represents a name or number that distinguishes a given item from others in the same list or other group of like items.
| e_ElementTypeNonStruct = _fsdk.LRElement_e_ElementTypeNonStruct
| Structure element type: NonStruct, which means "Nonstructural element" and represents a grouping element having no inherent structural significance; it serves solely for grouping purposes.
| e_ElementTypeNote = _fsdk.LRElement_e_ElementTypeNote
| Structure element type: Note, which represents an item of explanatory text, such as a footnote or an endnote, that is referred to from within the body of the document.
| e_ElementTypePageObject = _fsdk.LRElement_e_ElementTypePageObject
| Structure element type: PageObject, which means page object element.
| e_ElementTypeParagraph = _fsdk.LRElement_e_ElementTypeParagraph
| Structure element type: P, which means "Paragraph" and represents a low-level division of text.
| e_ElementTypePart = _fsdk.LRElement_e_ElementTypePart
| Structure element type: Part, which represents a large-scale division of a document.
| e_ElementTypePathContent = _fsdk.LRElement_e_ElementTypePathContent
| Structure element type: PathContent, which means path content element.
| e_ElementTypePathObject = _fsdk.LRElement_e_ElementTypePathObject
| Structure element type: PathObject, which means path graphics object element.
| e_ElementTypePrivate = _fsdk.LRElement_e_ElementTypePrivate
| Structure element type: Private, which means "Private element" and represents a grouping element containing private content belonging to the application producing it.
| e_ElementTypeQuote = _fsdk.LRElement_e_ElementTypeQuote
| Structure element type: Quote, which means "Quotation" and represents an inline portion of text attributed to someone other than the author of the surrounding text.
| e_ElementTypeReference = _fsdk.LRElement_e_ElementTypeReference
| Structure element type: Reference, which represents a citation to content elsewhere in the document.
| e_ElementTypeRuby = _fsdk.LRElement_e_ElementTypeRuby
| Structure element type: Ruby, which represents the wrapper around the entire ruby assembly.
| e_ElementTypeRubyAnnot = _fsdk.LRElement_e_ElementTypeRubyAnnot
| Structure element type: RT, which means "Ruby annotation text" and represents the smaller-size text that is placed adjacent to the ruby base text.
| e_ElementTypeRubyBase = _fsdk.LRElement_e_ElementTypeRubyBase
| Structure element type: RB, which means "Ruby base text" and represents the full-size text to which the ruby annotation is applied.
| e_ElementTypeRubyPunc = _fsdk.LRElement_e_ElementTypeRubyPunc
| Structure element type: RP, which means "Ruby punctuation" and represents punctuation surrounding the ruby annotation text.
| e_ElementTypeSect = _fsdk.LRElement_e_ElementTypeSect
| Structure element type: Sect, which means "Section" and represents a container for grouping related content elements.
| e_ElementTypeShadingContent = _fsdk.LRElement_e_ElementTypeShadingContent
| Structure element type: ShadingContent, which means shading content element.
| e_ElementTypeShadingObject = _fsdk.LRElement_e_ElementTypeShadingObject
| Structure element type: ShadingObject, which means shading graphics object element.
| e_ElementTypeSpan = _fsdk.LRElement_e_ElementTypeSpan
| Structure element type: Span, which represents a generic inline portion of text having no particular inherent characteristics.
| e_ElementTypeStrong = _fsdk.LRElement_e_ElementTypeStrong
| Structure element type: Strong (PDF 2.0), which represents content for the purpose of strong importance, seriousness or urgency for its contents.
| e_ElementTypeSub = _fsdk.LRElement_e_ElementTypeSub
| Structure element type: Sub (PDF 2.0), which means "Sub-division of a block level element" and represents content typically perceived as a sub- division inside a block level structure element.
| e_ElementTypeTable = _fsdk.LRElement_e_ElementTypeTable
| Structure element type: Table, which represents a two-dimensional layout of rectangular data cells, possibly having a complex substructure.
| e_ElementTypeTableBodyGroup = _fsdk.LRElement_e_ElementTypeTableBodyGroup
| Structure element type: TBody, which means "Table body row group" and represents a group of rows that constitute the main body portion of a table.
| e_ElementTypeTableDataCell = _fsdk.LRElement_e_ElementTypeTableDataCell
| Structure element type: TD, which means "Table data cell" and represents a table cell containing data that is part of the table's content.
| e_ElementTypeTableFootGroup = _fsdk.LRElement_e_ElementTypeTableFootGroup
| Structure element type: TFoot, which means "Table footer row group" and represents a group of rows that constitute the footer of a table.
| e_ElementTypeTableHeaderCell = _fsdk.LRElement_e_ElementTypeTableHeaderCell
| Structure element type: TH, which means "Table header cell" and represents a table cell containing header text describing one or more rows or columns of the table.
| e_ElementTypeTableHeaderGroup = _fsdk.LRElement_e_ElementTypeTableHeaderGroup
| Structure element type: THead, which means "Table header row group" and represents a group of rows that constitute the header of a table.
| e_ElementTypeTableRow = _fsdk.LRElement_e_ElementTypeTableRow
| Structure element type: TR, which means "Table row" and represents a row of headings or data in a table.
| e_ElementTypeTextContent = _fsdk.LRElement_e_ElementTypeTextContent
| Structure element type: TextContent, which means text content element.
| e_ElementTypeTextObject = _fsdk.LRElement_e_ElementTypeTextObject
| Structure element type: TextObject, which means text graphics object element.
| e_ElementTypeTitle = _fsdk.LRElement_e_ElementTypeTitle
| Structure element type: Title (PDF 2.0), which represents content that is usually referred to as the title of a document or high-level devision of content.
| e_ElementTypeTOC = _fsdk.LRElement_e_ElementTypeTOC
| Structure element type: TOC, which means "Table of contents" and represents a list made up of table of contents item entries and/or other nested table of contents entries.
| e_ElementTypeTOCI = _fsdk.LRElement_e_ElementTypeTOCI
| Structure element type: TOCI, which means "Table of contents item" and represents an individual member of a table of contents.
| e_ElementTypeWarichu = _fsdk.LRElement_e_ElementTypeWarichu
| Structure element type: Warichu, which represents the wrapper around the entire warichu assembly.
| e_ElementTypeWarichuPunc = _fsdk.LRElement_e_ElementTypeWarichuPunc
| Structure element type: WP, which means "Warichu punctuation" and represents the punctuation that surrounds the WT text.
| e_ElementTypeWarichuText = _fsdk.LRElement_e_ElementTypeWarichuText
| Structure element type: WT, which means "Warichu text" and represents the smaller-size text of a warichu comment that is formatted into two lines and placed between surrounding WP elements.

## Detailed Description

This class represents a graphics object element. Graphics object element can be used to get related the graphics object.

## Constructor & Destructor Documentation

## ◆ LRGraphicsObjectElement() [1/2]

def FoxitPDFSDKPython3.LRGraphicsObjectElement.LRGraphicsObjectElement | ( |  | other | ) |

Constructor, with another graphics object element object.

Parameters

  [in] | other | Another graphics object element object.

## ◆ LRGraphicsObjectElement() [2/2]

def FoxitPDFSDKPython3.LRGraphicsObjectElement.LRGraphicsObjectElement | ( |  | element | ) |

Constructor, with parent class object.

Parameters

  [in] | element | Parent class object.

## Member Function Documentation

## ◆ GetBBox()

def FoxitPDFSDKPython3.LRGraphicsObjectElement.GetBBox | ( |  | ) |

Get bounding box.

Returns
  Bounding box.

## ◆ GetDict()

def FoxitPDFSDKPython3.LRGraphicsObjectElement.GetDict | ( |  | ) |

Get PDF dictionary of related graphics object.

This function is available when related graphics object is a form XObject type. For other graphics object type, this function will return null.

Returns
  PDF dictionary of related graphics object.

## ◆ GetGraphicsObject()

def FoxitPDFSDKPython3.LRGraphicsObjectElement.GetGraphicsObject | ( |  | ) |

Get related graphics object.

Returns
  Related graphics object. If no graphics object can be retrieved, this function will return null.

## ◆ GetGraphicsObjectIndex()

def FoxitPDFSDKPython3.LRGraphicsObjectElement.GetGraphicsObjectIndex | ( |  | ) |

Get index of related graphics object.

Returns
  Index of graphics object.

## ◆ GetMatrix()

def FoxitPDFSDKPython3.LRGraphicsObjectElement.GetMatrix | ( |  | ) |

Get matrix.

Returns
  The matrix.

## ◆ GetParentGraphicsObjectElement()

def FoxitPDFSDKPython3.LRGraphicsObjectElement.GetParentGraphicsObjectElement | ( |  | ) |

Get the parent graphics object element.

Returns
  Parent graphics object element. If function LRGraphicsObjectElement::IsEmpty for the returned object returns true, that means current element does not have a parent graphics object element.